use config::Config;
use rocket::{get, launch, routes, State};

mod config;
mod site;

#[get("/")]
pub fn main_page(c: &State<Config>) -> String {
    site::gen_site(c)
}

#[launch]
async fn rocket() -> _ {
    let conf_path: String = std::env::args()
        .skip(1)
        .next()
        .unwrap_or("./config.yml".to_string());
    let conf = config::Config::load(&conf_path);

    rocket::build().mount("/", routes![main_page]).manage(conf)
}
